Get Job Status
curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestType": "advertiser_creation",
"status": "not_started",
"dsp": [
"google_ads"
],
"result": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Offsite Ads API
Get Job Status
Get job status.
GET
/
public
/
v1
/
offsite-ads
/
jobs
/
{job_id}
Get Job Status
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the job to retrieve the status for.
Query Parameters
The ID of the vendor to retrieve the job status for.
Response
Successful Response
The unique identifier for the queued job.
The type of operation the job represents.
Available options:
advertiser_creation, campaign_creation, campaign_update, user_list_audience_creation The current status of the job.
Available options:
not_started, in_progress, completed, failed, retrying The DSP(s) associated with the job.
DSPs an offsite audience is synced to.
Available options:
google_ads, meta, tiktok_ads, snapchat_ads Optional result data in json format (e.g., {error: 'error message'}).
Was this page helpful?